<?php
require_once(getabspath("classes/cipherer.php"));
$tdataciudad = array();
	$tdataciudad[".NumberOfChars"] = 80; 
	$tdataciudad[".ShortName"] = "ciudad";
	$tdataciudad[".OwnerID"] = "";
	$tdataciudad[".OriginalTable"] = "ciudad";

//	field labels
$fieldLabelsciudad = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsciudad["Spanish"] = array();
	$fieldToolTipsciudad["Spanish"] = array();
	$fieldLabelsciudad["Spanish"]["idciudad"] = "Idciudad";
	$fieldToolTipsciudad["Spanish"]["idciudad"] = "";
	$fieldLabelsciudad["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsciudad["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsciudad["Spanish"]))
		$tdataciudad[".isUseToolTips"] = true;
}
	
	
	$tdataciudad[".NCSearch"] = true;



$tdataciudad[".shortTableName"] = "ciudad";
$tdataciudad[".nSecOptions"] = 0;
$tdataciudad[".recsPerRowList"] = 1;
$tdataciudad[".mainTableOwnerID"] = "";
$tdataciudad[".moveNext"] = 1;
$tdataciudad[".nType"] = 0;

$tdataciudad[".strOriginalTableName"] = "ciudad";




$tdataciudad[".showAddInPopup"] = false;

$tdataciudad[".showEditInPopup"] = false;

$tdataciudad[".showViewInPopup"] = false;

$tdataciudad[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdataciudad[".listAjax"] = true;
else 
	$tdataciudad[".listAjax"] = false;

	$tdataciudad[".audit"] = false;

	$tdataciudad[".locking"] = false;

$tdataciudad[".inlineEdit"] = true;
$tdataciudad[".inlineAdd"] = true;

$tdataciudad[".exportTo"] = true;


$tdataciudad[".delete"] = true;

$tdataciudad[".showSimpleSearchOptions"] = false;

$tdataciudad[".showSearchPanel"] = true;

if (isMobile())
	$tdataciudad[".isUseAjaxSuggest"] = false;
else 
	$tdataciudad[".isUseAjaxSuggest"] = true;

$tdataciudad[".rowHighlite"] = true;

// button handlers file names

$tdataciudad[".addPageEvents"] = false;

// use timepicker for search panel
$tdataciudad[".isUseTimeForSearch"] = false;




$tdataciudad[".allSearchFields"] = array();

$tdataciudad[".allSearchFields"][] = "nombre";

$tdataciudad[".googleLikeFields"][] = "idciudad";
$tdataciudad[".googleLikeFields"][] = "nombre";


$tdataciudad[".advSearchFields"][] = "nombre";

$tdataciudad[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdataciudad[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataciudad[".strOrderBy"] = $tstrOrderBy;

$tdataciudad[".orderindexes"] = array();

$tdataciudad[".sqlHead"] = "SELECT idciudad,   nombre";
$tdataciudad[".sqlFrom"] = "FROM ciudad";
$tdataciudad[".sqlWhereExpr"] = "";
$tdataciudad[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataciudad[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataciudad[".arrGroupsPerPage"] = $arrGPP;

$tableKeysciudad = array();
$tableKeysciudad[] = "idciudad";
$tdataciudad[".Keys"] = $tableKeysciudad;

$tdataciudad[".listFields"] = array();
$tdataciudad[".listFields"][] = "nombre";

$tdataciudad[".viewFields"] = array();

$tdataciudad[".addFields"] = array();
$tdataciudad[".addFields"][] = "nombre";

$tdataciudad[".inlineAddFields"] = array();
$tdataciudad[".inlineAddFields"][] = "nombre";

$tdataciudad[".editFields"] = array();

$tdataciudad[".inlineEditFields"] = array();
$tdataciudad[".inlineEditFields"][] = "nombre";

$tdataciudad[".exportFields"] = array();
$tdataciudad[".exportFields"][] = "idciudad";
$tdataciudad[".exportFields"][] = "nombre";

$tdataciudad[".printFields"] = array();

//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Idciudad"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataciudad["idciudad"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataciudad["nombre"] = $fdata;

	
$tables_data["ciudad"]=&$tdataciudad;
$field_labels["ciudad"] = &$fieldLabelsciudad;
$fieldToolTips["ciudad"] = &$fieldToolTipsciudad;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["ciudad"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["ciudad"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_ciudad()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idciudad,   nombre";
$proto0["m_strFrom"] = "FROM ciudad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "ciudad"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ciudad"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "ciudad";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idciudad";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_ciudad = createSqlQuery_ciudad();
		$tdataciudad[".sqlquery"] = $queryData_ciudad;
	
if(isset($tdataciudad["field2"])){
	$tdataciudad["field2"]["LookupTable"] = "carscars_view";
	$tdataciudad["field2"]["LookupOrderBy"] = "name";
	$tdataciudad["field2"]["LookupType"] = 4;
	$tdataciudad["field2"]["LinkField"] = "email";
	$tdataciudad["field2"]["DisplayField"] = "name";
	$tdataciudad[".hasCustomViewField"] = true;
}

$tableEvents["ciudad"] = new eventsBase;
$tdataciudad[".hasEvents"] = false;

$cipherer = new RunnerCipherer("ciudad");

?>